Name:          libsemanage
Version:       3.5
Release:       1mamba
Summary:       SELinux policy management library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/SELinuxProject/selinux
Source:        https://github.com/SELinuxProject/selinux/archive/libsemanage-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaudit-devel
BuildRequires: libbzip2-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
## AUTOBUILDREQ-END

%description
This package provides the shared libraries for SELinux policy management. It uses libsepol for binary policy manipulation and libselinux for interacting with the SELinux system. It also exec's helper programs for loading policy and for checking whether the file_contexts configuration is valid (load_policy and setfiles from policycoreutils) presently, although this may change at least for the bootstrapping case
Security-enhanced Linux is a patch of the Linux kernel and a number of utilities with enhanced security functionality designed to add mandatory access controls to Linux. The Security-enhanced Linux kernel contains new architectural components originally developed to improve the security of the Flask operating system. These architectural components provide general support for the enforcement of many kinds of mandatory access control policies, including those based on the concepts of Type Enforcement, Role-based Access Control, and Multi-level Security.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package provides the shared libraries for SELinux policy management. It uses libsepol for binary policy manipulation and libselinux for interacting with the SELinux system. It also exec's helper programs for loading policy and for checking whether the file_contexts configuration is valid (load_policy and setfiles from policycoreutils) presently, although this may change at least for the bootstrapping case
Security-enhanced Linux is a patch of the Linux kernel and a number of utilities with enhanced security functionality designed to add mandatory access controls to Linux. The Security-enhanced Linux kernel contains new architectural components originally developed to improve the security of the Flask operating system. These architectural components provide general support for the enforcement of many kinds of mandatory access control policies, including those based on the concepts of Type Enforcement, Role-based Access Control, and Multi-level Security.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n selinux-libsemanage-%{version}

%build
cd libsemanage
%make CC=%{_host}-gcc -j1 \
   LIBDIR=%{_libdir} \
   LIBEXECDIR=%{_libexecdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd libsemanage
%makeinstall \
   LIBDIR=%{_libdir} \
   LIBEXECDIR=%{_libexecdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/selinux/semanage.conf
%{_libdir}/libsemanage.so.*
%dir %{_libexecdir}/selinux
%{_libexecdir}/selinux/semanage_migrate_store
%doc libsemanage/LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/semanage
%{_includedir}/semanage/*.h
%{_libdir}/libsemanage.a
%{_libdir}/libsemanage.so
%{_libdir}/pkgconfig/libsemanage.pc
%{_mandir}/man3/semanage_*.3*
%{_mandir}/man5/semanage.conf.5*
%lang(ru) %{_mandir}/ru/man5/semanage.conf.5*

%changelog
* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Mon May 30 2022 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Thu Nov 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3-1mamba
- update to 3.3

* Tue Sep 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8-1mamba
- update to 2.8

* Sat May 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.6-1mamba
- update to 2.1.6

* Sat Apr 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.45-1mamba
- package created by autospec
